<template>
    <div>
        <ul class="product-card">
            <li class="product-item"  v-for="(product,index) in products" :key="index" >
                <div class="product-image">
                    <img :src="product.image_url" alt="img">
                </div>
                <div class="product-content">
                    <button class="btn available" v-if="product.availability ==1">В наличии  </button>
                    <button class="btn sold" v-if="product.availability ==0" disabled>Под заказ</button>
                    <a class="product-link" href="#">{{product.name}}</a>
                    <p class="product-price">{{product.price}}</p>
                    <span class="description">Цвет-{{product.color}}</span>
                    <p class="description">{{product.short_desc}}</p>
                    <button class="btn add"><i class="fas fa-shopping-cart"></i>В КОРЗИНУ</button>
                </div>

            </li>
        </ul>
    </div>
</template>

<script>
    export default {
        name: "Product",
        props:["products"]
    }
</script>

<style lang="scss">
    .product-card {
        max-width: 1280px;
        width: 100%;
        margin: 0 auto;
        padding: 0;
        display: flex;
        justify-content: space-between;
        text-align: left;

        .product-item {
            border: 1px solid #E4ECF9;
            box-shadow: 0px 3px 6px #DFEAFC;
            width: 25%;
            margin-right: 20px;
            height: 445px;
            transition: all ease-in-out .3s;
            overflow: hidden;

            &:last-child {
                margin-right: 0;
            }

            .product-content {
                padding: 19px;
                .description {
                    font-size: 12px;
                    line-height: 20px;
                    color: #6C7683;
                    white-space: nowrap;
                    width: 250px;
                    overflow: hidden;
                    text-overflow: ellipsis;
                }

                .btn {
                    display: inline-block;
                    border: none;
                    outline: none;
                    background: transparent;
                    color: #ffffff;
                    padding: 6px;

                    &.available {
                        background: #76CB22;
                        padding: 6px 9px;

                    }
                    &.sold {
                        background: #A6C3EE;

                    }
                    &.add {
                        width: 142px;
                        height: 45px;
                        margin-top: 18px;


                        background: #336EC6;
                        box-shadow: 0px 4px 8px #A9C2E9;
                        border-radius: 6px;
                        .fa-shopping-cart {
                            margin-right: 10px;
                        }
                    }
                    &:hover {
                        cursor: pointer;
                        opacity: .7;

                    }
                }
                .product-link {
                    display: block;
                    color: #4F545F;
                    margin-top: 18px;
                    margin-bottom: 8px;
                }
                .product-price {
                    font-weight: bold;
                    line-height: 30px;
                    color: #4F545F;
                }
            }

            .product-image {
                display: flex;
                img {
                    width: 265px;
                    height: 265px;
                    margin-top: 20px;
                    margin-bottom: 20px;
                }
                border-bottom: 1px solid #E4ECF9;
            }
            &:hover {
                cursor: pointer;
                height: 560px;
                transform: scale(1.02);
            }
        }
    }

</style>